# $Revision: 1.20 $, $Date: 2007/05/07 20:09:49 $
%define		_modname	APC
%define		_status		stable
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - Alternative PHP Cache
Summary(pl.UTF-8):	%{_modname} - alternatywne cache PHP
Name:		php4-pecl-%{_modname}
Version:	3.0.14
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	0f452f936239b6107d3e2e5cda4f4bda
URL:		http://pecl.php.net/package/APC/
BuildRequires:	php4-devel >= 3:4.3.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
APC is the Alternative PHP Cache. It was conceived of to provide a
free, open, and robust framework for caching and optimizing PHP
intermediate code.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
APC to alternatywne cache PHP. W wyobrażeniach miało dostarczać
wolnodostępny, otwarty i potężny szkielet do buforowania i
optymalizowania kodu pośredniego PHP.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
export CPPFLAGS="-DAPC_PHP4_STAT"
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/apc.so $RPM_BUILD_ROOT%{extensionsdir}/%{_modname}.so
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
apc.enabled=1
;apc.optimization=0
;apc.shm_segments=1
;apc.shm_size=32
;apc.cache_by_default=1
;apc.max_file_size=1M
;apc.num_files_hint=1024
;apc.gc_ttl=3600
;apc.ttl=0
;apc.mmap_file_mask=/tmp/apc.XXXXXX
;apc.filters=
;apc.stat=1
;apc.enable_cli=0
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CHANGELOG,INSTALL,NOTICE}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-pecl-APC.spec,v $
Revision 1.20  2007/05/07 20:09:49  arekm
- up to 3.0.14

Revision 1.19  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.17  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.16  2006/09/04 21:41:34  glen
- CPPFLAGS=-DAPC_PHP4_STAT as suggested by INSTALL
- PHP4-cli didn't segfault

Revision 1.15  2006/09/04 21:30:14  glen
- 3.0.11

Revision 1.14  2006/09/04 19:28:53  glen
- TODO: CLI segfaults

Revision 1.13  2006/08/31 17:14:13  glen
- 3.0.10

Revision 1.12  2005/10/30 10:25:24  glen
- rebuild with zts and debug requires

Revision 1.11  2005/10/27 15:22:31  glen
- rebuild with php(debug) and php(thread-safety) macros
- rel 5

Revision 1.10  2005/09/15 20:12:59  glen
- rel 4

Revision 1.9  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.8  2005/09/13 21:11:08  glen
- use new php/zend api macros

Revision 1.7  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.6  2005/09/11 22:03:28  glen
- full conf.d support and unifications

Revision 1.5  2005/08/25 08:36:56  glen
- use confdir php, rel 2

Revision 1.4  2005/08/25 08:05:42  adamg
- updated to 3.0.8

Revision 1.3  2005/08/21 18:54:41  adamg
- updated to 3.0.7

Revision 1.2  2005/07/31 08:00:29  adamg
- updated to 3.0.6

Revision 1.1  2005/07/27 11:09:41  adamg
- new (cp from php-pecl-APC.spec)
